[Pkg-haskell-commits] darcs: tools: mass-change.sh: Abort if there are uncommited changes
Joachim Breitner
mail at joachim-breitner.de
Wed Oct 17 17:36:16 UTC 2012
Mon Oct 15 14:20:24 UTC 2012 Joachim Breitner <mail at joachim-breitner.de>
* mass-change.sh: Abort if there are uncommited changes
Ignore-this: 6604435fc76613775f2363c569ffc278
M ./mass-change.sh -1 +10
Mon Oct 15 14:20:24 UTC 2012 Joachim Breitner <mail at joachim-breitner.de>
* mass-change.sh: Abort if there are uncommited changes
Ignore-this: 6604435fc76613775f2363c569ffc278
diff -rN -u old-tools//mass-change.sh new-tools//mass-change.sh
--- old-tools//mass-change.sh 2012-10-17 17:36:16.530235263 +0000
+++ new-tools//mass-change.sh 2012-10-17 17:36:16.563909955 +0000
@@ -34,10 +34,19 @@
fi
echo "Processing $dir"
+
+ if darcs whatsnew -s >/dev/null
+ then
+ echo "Unrecorded changes in $dir, skipping:"
+ darcs diff | colordiff
+ popd
+ continue
+ fi
+
# darcs pull -a -v
eval "$action"
- if ! darcs whatsnew -s
+ if ! darcs whatsnew -s >/dev/null
then
echo "Action did not change $dir, skipping push"
popd
More information about the Pkg-haskell-commits
mailing list